"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.checkSetting = void 0;
const settingKeys = ["list"];
const settingListType = {
    title: (value) => typeof value === "string",
    message: (value) => typeof value === "string",
    cycle: (value) => ["day", "week", "custom"].includes(value),
    week: (value) => [1, 2, 3, 4, 5, 6, 7].includes(value),
    time: (value) => /([0-1]\d|2[0-4]):[0-5]\d:[0-5]\d/.test(value),
    isTurnOn: (value) => typeof value === "boolean",
};
const checkSetting = (obj) => {
    let result = true;
    const keys = Object.keys(obj);
    settingKeys.map(key => {
        if (!keys.includes(key)) {
            result = false;
        }
        else {
            if (key === "list") {
                // eslint-disable-next-line @typescript-eslint/no-extra-semi
                ;
                (obj[key] || []).map((item) => {
                    const settingListKey = Object.keys(settingListType);
                    settingListKey.map(listKey => {
                        if (!settingListType[listKey](item[listKey])) {
                            result = false;
                        }
                    });
                });
            }
        }
    });
    return result;
};
exports.checkSetting = checkSetting;
